#
# spec file for package openssl-ibmca (Version 1.0.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           openssl-ibmca
BuildRequires:  libica openssl-devel
Summary:        The IBMCA OpenSSL dynamic engine
Version:        1.0.0
Release:        7.20.22
License:        IBM Public License
Group:          Hardware/Other
Source:         openssl-ibmca-1.0.0.tar.bz2
Patch0:         ibmca-configure.patch
Patch1:         openssl-ibmca-README.patch
Patch2:         openssl-ibmca-1.0-async-crypto-large-keys-fallback.patch
Url:            http://sourceforge.net/projects/opencryptoki
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq
Requires:       openssl libica
%define ibmca_64bit_arch s390x ppc64
%define ibmca_32bit_arch %ix86 s390 ppc %arm
ExclusiveArch:  %ibmca_32bit_arch %ibmca_64bit_arch

%description
This package contains a shared object OpenSSL dynamic engine for the
IBM eServer Cryptographic Accelerator (ICA).



Authors:
--------
    Mike Halcrow <mhalcrow@us.ibm.com>

%prep
%setup -n openssl-ibmca-1.0.0
%patch0
%patch1
%patch2 -p1

%build
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
./configure --with-engines-dir=%_libdir/engines --libdir=%_libdir/engines
make

%install
%makeinstall
(cd $RPM_BUILD_ROOT; libtool --finish %_libdir/engines)
rm ${RPM_BUILD_ROOT}%{_libdir}/engines/libibmca.la

%post
%run_ldconfig

%postun

%files
%defattr(-, root, root)
%doc README
%doc openssl.cnf.sample
%{_libdir}/engines/libibmca.*

%changelog
* Fri Oct  8 2010 sf@suse.de
- Add openssl-ibmca-1.0-async-crypto-large-keys-fallback.patch
  (bnc #643834) (Fate #309850)
* Fri Oct 19 2007 jjolly@suse.de
- Upgraded to openssl-ibmca-1.0.0 (#240670)
* Tue Feb 13 2007 uli@suse.de
- added fixes by IBM (bug #243801):
  ibmca-segfault.fix: rewrite ibmca_mod_expto remove improper use of BIGNUM
  object
  ibmca-sw-fix: rewrite ibmca_mod_exp_crtto remove improper use of BIGNUM
  object
  openssl-ibmca-1.0.0.rc2-memset-fix.patch: fix memory initialization problem
* Mon Jun 19 2006 uli@suse.de
- updated README (bug #185508)
* Tue Mar 28 2006 hare@suse.de
- Fixed configure.in to build correctly
- Fixed spec file
- Initial version from Mike Halcrow
